System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingElementExtensionElement

This class contains properties that are common to all of the transport binding configuration elements provided by indigo1. It handles the translation of the message encoder settings and base transport settings into their run-time manifestations. It delegates the translation of transport-specific settings (for example, HttpProxySettings for HTTP) logic in its concrete derived class transport bindings.

Provides a base class to represent a transport binding configuration element.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the settings of the specified to this configuration element.

  The to this configuration element.
- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the settings from the specified configuration element to this configuration element.

  The configuration element whose settings are to be copied to this configuration element.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a new custom binding element object whose properties are copied from the settings of this configuration element.

  A custom object.

- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added.

  Returns a custom binding element object with default values.

  A custom object with default values.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes this binding configuration element with the content of the specified binding element.

  A binding element.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("manualAddressing", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added.

  This property is usually used in router scenarios, where the application determines which one of several destinations to send a message to.

  If this property is set to true, the channel assumes the message has already been addressed and does not add any additional information to it.

  If this property is set to false, the channel adds SOAP addressing information to the message.

  Gets or sets a Boolean value that specifies whether the user takes control of message addressing.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxBufferPoolSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.LongValidator(ExcludeRange=false, MaxValue=9223372036854775807, MinValue=1)
  System.Int64 To be added.

  Many parts of indigo2 use buffers. Creating and destroying buffers each time they are used is expensive, and garbage collection for buffers is also expensive. With buffer pools, you can take a buffer from the pool, use it, and return it to the pool once you are done. Thus the overhead in creating and destroying buffers is avoided.

  Gets or sets the maximum size, in bytes, of the buffer pool.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("maxReceivedMessageSize", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.LongValidator(ExcludeRange=false, MaxValue=9223372036854775807, MinValue=1)
  System.Int64 To be added. To be added.

  Gets or sets the maximum allowable message size, in bytes, that can be received.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.